<header>
	<div [@fromTop] class="container-fluid py-0 sticky-top">
		<div class="row justify-content-around bg-tertiary pet-glow-secondary">
			<div class="col-6 py-2">
				<img class="img-fluid" alt="Logo" [routerLink]="['/home']" src="assets/imgs/logo/temp_logo_crop.svg">
			</div>

			<div class="col-5 col-md-3 text-end">
				<div class="row justify-content-end flex-nowrap">

					<div class="col ps-0 d-inline-block" *ngIf="auth.isAuthenticated$ | async; else isLoggedOut">
						<button [appDropdown]="logOutPanel" position="bottom-left"
							class="btn btn-secondary-dark border-top-0 pet-btn-big pet-bottom-rounded border-secondary-fluo pet-glow-dark-btn">
							<fa-icon [icon]="iconUser" class="light-svg"></fa-icon>
						</button>
						
						<ng-template #logOutPanel>
							<div class="d-grid p-0 g-2 gap-1 rounded bg-primary-lighter border-primary-light"
                *ngIf="user$ | async as user">
								<div [appDropdown]="editNamePanel" class="col p-0 bg-primary text-center text-tertiary">
									<span>{{ user.petmenuUsername }}</span>
								</div>
								<a *appHasRole="['User', 'Admin']" 
							    class="btn btn-primary-dark pet-nav-button rounded-0 border-primary-fluo"
									routerLink="/user/{{user.safeSub}}/commitslist"
									i18n="btn@@myContris">My Contris</a>
								<a *appHasRole="['Admin']"
									class="btn btn-primary-dark pet-nav-button rounded-0 border-primary-fluo"
									routerLink="/user/list" i18n="btn@@usersListBtn">Users List</a>
								<button class="btn btn-primary-dark pet-nav-button rounded-0 border-primary-fluo"
									(click)=logOut()>Logout</button>
								<div class="col btn-primary-dark mb-1 rounded-0 border-primary-fluo">
									<div class="pet-custom-switch px-1">
										<input class="d-none" type="checkbox" [checked]="glowyTheme" (click)="switchTheme()" id="themeSwitch"> 
										<label for="themeSwitch"></label>
									</div>
								</div>
							</div>
						</ng-template>
						
					</div>
				</div>
			</div>
			
			<ng-template #isLoggedOut>
				<div class="col ps-0 d-inline-block">
					<button [appDropdown]="logInPanel" position="bottom-left"
						class="btn btn-secondary-dark border-top-0 pet-btn-big pet-bottom-rounded border-secondary-fluo pet-glow-dark-btn">
						<fa-icon [icon]="iconUser" class="dark-svg"></fa-icon>
					</button>
					
					<ng-template #logInPanel>
						<div [@dropDown] class="d-grid p-0 g-2 gap-1 rounded bg-primary-lighter border-primary-light">
							<button class="btn btn-primary-dark rounded-0 border-primary-fluo"
								(click)=logIn()>Login</button>
							<div class="col btn-primary-dark mb-1 rounded-0 border-primary-fluo">
								<div class="pet-custom-switch px-1">
                  <input class="d-none" type="checkbox" [checked]="glowyTheme" (click)="switchTheme()" id="themeSwitch"> 
                  <label for="themeSwitch"></label>
                </div>
							</div>
						</div>
					</ng-template>
					
				</div>
			</ng-template>
			
			<ng-template #editNamePanel>
        <div [@dropDown] class="row m-0 rounded flex-column py-1 bg-primary-lighter border-primary-light">
          <div class="col p-0">
            <input [formControl]="newName" placeholder="New Name">
            <button class="btn btn-block btn-primary-dark my-1 rounded-0 border-primary-fluo"
              (click)=changeName()>Change</button>
          </div>
        </div>
			</ng-template>
		</div>
		
		<div class="row bg-secondary-dark pet-glow-nav">
			<div class="col-5 col-md-3 col-lg-2 px-0 px-md-2 d-flex justify-content-around">
				<a [routerLink]="['/home']" class="py-0 btn btn-lg btn-primary-dark 
								border-1 border-top-0 pet-bottom-rounded pet-nav-btn-header pet-glow-dark-btn">
					<fa-icon [icon]="iconHome" class="light-svg" [fixedWidth]="true"></fa-icon>
				</a>
				<button type="button" (click)="navService.inAppBack()" class="py-0 btn btn-lg btn-primary-dark 
								border-1 border-top-0 pet-bottom-rounded pet-nav-btn-header pet-glow-dark-btn">
					<fa-icon [icon]="iconBack" class="light-svg" [fixedWidth]="true"></fa-icon>
				</button>
			</div>
		</div>
	</div>
</header>